Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sdk
Class SDKQueryMechanism

`java.lang.Object
DatasourceCallQueryMechanism
oracle.toplink.sdk.SDKQueryMechanism`

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.eis`

public class SDKQueryMechanism
extends DatasourceCallQueryMechanism

The `SDKQueryMechanism` class implements the `DatabaseQueryMechanism` protocol by redirecting all queries to a collection of calls that is provided to the mechanism when it is built. So just about everything ends up going through `executeSelectCalls()` or `executeNoSelectCalls()`, which, in turn, send the appropriate message to the `SDKAccessor`.

Since:
  TOPLink/Java 1.0
See Also:
  `SDKAccessor`, `SDKCall`, `AbstractSDKCall`, Serialized Form

Constructor Summary
`SDKQueryMechanism(DatabaseQuery query)` Deprecated. Construct a new mechanism for the specified query.
`SDKQueryMechanism(DatabaseQuery query, AbstractSDKCall call)` Deprecated. Construct a new mechanism for the specified query and call.

Method Summary
`DatabaseCall` | `cursorSelectAllRows()` Deprecated.
`void` | `prepareCursorSelectAllRows()` Deprecated.
`void` | `prepareStartCursor()` Deprecated. Prepare for a cursored select.
`void` | `setCall(DatasourceCall call)` Deprecated. Set the call.
`oracle.toplink.internal.databaseaccess.DatabaseCall` | `startCursor()` Deprecated. Start reading all the rows from the database for a cursored stream or scrollable cursor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDKQueryMechanism

    public SDKQueryMechanism(DatabaseQuery query)

  Deprecated.
  Construct a new mechanism for the specified query.

### SDKQueryMechanism

    public SDKQueryMechanism(DatabaseQuery query,
                             AbstractSDKCall call)

  Deprecated.
  Construct a new mechanism for the specified query and call.

Method Detail

### setCall

    public void setCall(DatasourceCall call)

  Deprecated.
  Set the call.

### cursorSelectAllRows

    public DatabaseCall cursorSelectAllRows()
                                     throws SDKDataStoreException

  Deprecated.
  Throws:
    `SDKDataStoreException`

### prepareCursorSelectAllRows

    public void prepareCursorSelectAllRows()
                                    throws SDKQueryException

  Deprecated.
  Throws:
    `SDKQueryException`

### prepareStartCursor

    public void prepareStartCursor()
                            throws SDKQueryException

  Deprecated.
  Prepare for a cursored select. This is sent to the original query before cloning.
  Throws:
    `SDKQueryException` - if something is amiss

### startCursor

    public oracle.toplink.internal.databaseaccess.DatabaseCall startCursor()
                                                                    throws SDKDataStoreException

  Deprecated.
  Start reading all the rows from the database for a cursored stream or scrollable cursor. Return the DatabaseCall - the CursorPolicy will perform the actual reading of the rows from the database.

  Assume the calls are correct.

  Cursors are not currently supported.

  Returns:
    the call
  Throws:
    `SDKDataStoreException` - if an error has occurred on the "data store"

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD